Gets the current image's compression quality

- « Imagick::getImageCompression

- Imagick::getImageDelay »

- PHP Manual
- Imagick
- Gets the current image's compression quality

# Imagick::getImageCompressionQuality

(PECL imagick 2 >= 2.2.2, PECL imagick 3)

Imagick::getImageCompressionQuality — Gets the current image's compression quality

### Description

public Imagick::getImageCompressionQuality(): int

Gets the current image's compression quality

### Parameters

This function has no parameters.

### Return Values

Returns integer describing the images compression quality